﻿Imports System.ComponentModel
Imports System.Collections.ObjectModel

Partial Public Class MainPage
    Inherits UserControl

    Dim myDataList As New ObservableCollection(Of MyDataClass)
    Public Sub New()
        InitializeComponent()

        myDataList.Add(New MyDataClass() With {.Department = "Accounts", .DeptValue = 1001})
        myDataList.Add(New MyDataClass() With {.Department = "Sales", .DeptValue = 1004})
        myDataList.Add(New MyDataClass() With {.Department = "IT", .DeptValue = 1003})

        Me.c1DataGrid1.AutoGenerateColumns = False
        Me.c1DataGrid1.ItemsSource = myDataList
        Me.c1TabControl1.ItemsSource = myDataList
    End Sub

    Private Sub Button_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
        myDataList.Add(New MyDataClass())
    End Sub
End Class

Public Class ComboData
    Public _lst As List(Of [String])

    Public Sub New()
        _lst = New List(Of String)()
    End Sub

    Public ReadOnly Property DataList() As List(Of String)
        Get
            _lst.Add("Accounts")
            _lst.Add("HR")
            _lst.Add("IT")
            _lst.Add("Sales")
            _lst.Add("Training")

            Return _lst
        End Get
    End Property

End Class

Public Class MyDataClass
    Implements INotifyPropertyChanged
    Private _dept As String
    Public Property Department() As String
        Get
            Return _dept
        End Get
        Set(value As String)
            _dept = value
            NotifyPropertyChanged("Department")
        End Set
    End Property

    Private _deptValue As Integer
    Public Property DeptValue() As Integer
        Get
            Return _deptValue
        End Get
        Set(value As Integer)
            _deptValue = value
            NotifyPropertyChanged("DeptValue")
        End Set
    End Property

    Public Event PropertyChanged As PropertyChangedEventHandler _
    Implements INotifyPropertyChanged.PropertyChanged

    Private Sub NotifyPropertyChanged(ByVal propertyName As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
    End Sub

End Class